org.eclipse.cdt.utils.debug.tools

## Class DebugSym

- java.lang.Object
- - org.eclipse.cdt.utils.debug.tools.DebugSym

All Implemented Interfaces:
  Comparable<Object>

    public class DebugSym
    extends Object
    implements Comparable<Object>

### Field Summary

Fields
`long` `addr`
`int` `endLine`
`String` `filename`
`String` `name`
`long` `size`
`int` `startLine`
`String` `type`

### Constructor Summary

Constructors
Constructor and Description
`DebugSym()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Object obj)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### addr

    public long addr

#### size

    public long size

#### startLine

    public int startLine

#### endLine

    public int endLine

#### name

    public String name

#### type

    public String type

#### filename

    public String filename

### Constructor Detail

#### DebugSym

    public DebugSym()

### Method Detail

#### compareTo

    public int compareTo(Object obj)

Specified by:
  `compareTo` in interface `Comparable<Object>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`